Class | Stella::Client
In: | lib/stella/client.rb
Parent: | Object

### Methods

create_http_client debug done! done? exception execute new run_sleeper

### Included Modules

Gibbler::Complex HTTPClient::Timeout

### Constants

SSL_CERT_PATH | = | File.join(STELLA_LIB_HOME, '..', 'certs', 'stella-master.crt').freeze

### Attributes

base_uri | [RW] |
clientid | [R] |
created | [RW] |
index | [R] |
proxy | [RW] |

### Public Class methods

new(opts={})

Options:

- :timeout (Integer) => 30
- :ssl_verify_mode (Class) => nil (possible values: OpenSSL::SSL::VERIFY_NONE)

### Public Instance methods

create_http_client()
debug(msg)
done!()
done?()
exception()
execute(usecase, &each_request)
run_sleeper(dur)

[Validate]